-- Create table
create table T_BAS_CARRIER
(
  recid   NUMBER not null,
  cyear   NUMBER,
  carrier VARCHAR2(2)
);
-- Create/Recreate indexes 
create unique index IDX_T_BAS_CARRIER on T_BAS_CARRIER (CYEAR, CARRIER) ;
-- Create/Recreate primary, unique and foreign key constraints 
alter table T_BAS_CARRIER
  add constraint FK_T_BAS_CARRIER primary key (RECID) ;

insert into t_bas_carrier (RECID, CYEAR, CARRIER)
values (401, 2012, 'HX');

insert into t_bas_carrier (RECID, CYEAR, CARRIER)
values (496, 2012, '3U');

insert into t_bas_carrier (RECID, CYEAR, CARRIER)
values (536, 2012, '8L');

insert into t_bas_carrier (RECID, CYEAR, CARRIER)
values (430, 2012, '8Y');

insert into t_bas_carrier (RECID, CYEAR, CARRIER)
values (542, 2012, '9C');

insert into t_bas_carrier (RECID, CYEAR, CARRIER)
values (415, 2012, 'AY');

insert into t_bas_carrier (RECID, CYEAR, CARRIER)
values (408, 2012, 'B7');

insert into t_bas_carrier (RECID, CYEAR, CARRIER)
values (501, 2012, 'CA');

insert into t_bas_carrier (RECID, CYEAR, CARRIER)
values (460, 2012, 'CI');

insert into t_bas_carrier (RECID, CYEAR, CARRIER)
values (482, 2012, 'CZ');

insert into t_bas_carrier (RECID, CYEAR, CARRIER)
values (539, 2012, 'EU');

insert into t_bas_carrier (RECID, CYEAR, CARRIER)
values (570, 2012, 'FK');

insert into t_bas_carrier (RECID, CYEAR, CARRIER)
values (497, 2012, 'FM');

insert into t_bas_carrier (RECID, CYEAR, CARRIER)
values (561, 2012, 'GE');

insert into t_bas_carrier (RECID, CYEAR, CARRIER)
values (522, 2012, 'GS');

insert into t_bas_carrier (RECID, CYEAR, CARRIER)
values (462, 2012, 'GZ');

insert into t_bas_carrier (RECID, CYEAR, CARRIER)
values (456, 2012, 'HC');

insert into t_bas_carrier (RECID, CYEAR, CARRIER)
values (568, 2012, 'HO');

insert into t_bas_carrier (RECID, CYEAR, CARRIER)
values (403, 2012, 'HU');

insert into t_bas_carrier (RECID, CYEAR, CARRIER)
values (432, 2012, 'JD');

insert into t_bas_carrier (RECID, CYEAR, CARRIER)
values (455, 2012, 'KA');

insert into t_bas_carrier (RECID, CYEAR, CARRIER)
values (516, 2012, 'MU');

insert into t_bas_carrier (RECID, CYEAR, CARRIER)
values (500, 2012, 'NS');

insert into t_bas_carrier (RECID, CYEAR, CARRIER)
values (528, 2012, 'PD');

insert into t_bas_carrier (RECID, CYEAR, CARRIER)
values (494, 2012, 'PN');

insert into t_bas_carrier (RECID, CYEAR, CARRIER)
values (562, 2012, 'SC');

insert into t_bas_carrier (RECID, CYEAR, CARRIER)
values (523, 2012, 'SH');

insert into t_bas_carrier (RECID, CYEAR, CARRIER)
values (461, 2012, 'XM');

insert into t_bas_carrier (RECID, CYEAR, CARRIER)
values (565, 2012, 'ZH');